if (file_exists ("/")) ...                                                     /* "ERR_NOT_A_FILE" */

if (directory_exists ("/")) ...                                                /* 1 */

if (file_exists ("./text.txt")) ...                                            /* 1 */

if (directory_exists ("./text.txt")) ...                                       /* "ERR_NOT_A_DIRECTORY" */

